Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.config
Class Stage

    java.lang.Object
      com.intel.cosbench.config.Stage

All Implemented Interfaces:
  java.lang.Iterable<Work>

    public class Stage

extends java.lang.Object
implements java.lang.Iterable<Work>

The model class mapping to "workstage" in configuration xml with following form:

Author:
  ywang19

Constructor Summary
`Stage()`
`Stage(java.lang.String name)`

Method Summary
`void` | `addWork(Work work)`
`Auth` | `getAuth()`
`java.lang.String` | `getName()`
`Storage` | `getStorage()`
`java.util.List<Work>` | `getWorks()`
`java.util.Iterator<Work>` | `iterator()`
`void` | `setAuth(Auth auth)`
`void` | `setName(java.lang.String name)`
`void` | `setStorage(Storage storage)`
`void` | `setWorks(java.util.List<Work> works)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Stage

    public Stage()

### Stage

    public Stage(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAuth

    public Auth getAuth()

### setAuth

    public void setAuth(Auth auth)

### getStorage

    public Storage getStorage()

### setStorage

    public void setStorage(Storage storage)

### getWorks

    public java.util.List<Work> getWorks()

### setWorks

    public void setWorks(java.util.List<Work> works)

### addWork

    public void addWork(Work work)

### iterator

    public java.util.Iterator<Work> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Work>`

### validate

    public void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD